Contrats et propositions

Créer une proposition prestataire

Crée un contrat DRAFT à partir de vehicleIds existants, avec souscripteur et assuré, calcule la tarification et crée l'avenant affaire nouvelle en QUOTE.

POST
/provider/contracts

Authorization

bearerAuth BROKER_ADMIN, SOUSCRIPTEUR, BROKER_USER
AuthorizationBearer <token>

Jeton obtenu via POST /provider/token. Les valeurs listées par opération sont les rôles acceptés.

In: header

Scope: BROKER_ADMIN, SOUSCRIPTEUR, BROKER_USER

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://apigw-pp.pooltpv.app/subscription/api/v1/provider/contracts" \  -H "Content-Type: application/json" \  -d '{    "companyBrokerId": "7fa1ffd4-4fc6-400e-b5c8-5da5256d978f",    "subscriberId": "dae6bf98-00e3-4bb3-9f5c-2e6bef6f882e",    "insuredId": "4462cae4-91d6-4985-bc6f-3d26cf63dc96",    "referreId": "0c93abb7-6953-4880-bd26-7b681ba30c31",    "durationCode": "3_MOIS",    "effectiveDate": "2026-11-07 00:00:01",    "vehicleIds": [      "9e7258b6-2eb6-4969-b84c-cfa1343e0d71"    ]  }'
{
  "id": "string",
  "vehicleId": "string",
  "proposalNumber": "string",
  "policyNumber": "string",
  "paymentStatus": "string",
  "documentsId": "string",
  "contractType": "MONO",
  "company": {
    "id": "string",
    "companyCode": "string",
    "companyNumber": "string",
    "companyLabel": "string",
    "legalName": "string",
    "approvalNumber": "string",
    "eatciOfficeCode": "string",
    "address": "string",
    "phone": "string",
    "email": "string",
    "website": "string",
    "logoUrl": "string",
    "isActive": true,
    "createdDate": "2022-03-10T12:15:50",
    "lastModifiedDate": "2022-03-10T12:15:50",
    "createdByUserId": "string",
    "updatedByUserId": "string",
    "createdBy": {
      "id": "string",
      "username": "string",
      "phoneNumber": "string",
      "name": "string",
      "firstName": "string",
      "lastName": "string",
      "status": "string",
      "broker": {
        "id": "string",
        "brokerCode": "string",
        "brokerNumber": "string",
        "legalName": "string",
        "tradeName": "string",
        "approvalNumber": "string",
        "eatciOfficeCode": "string",
        "address": "string",
        "phone": "string",
        "email": "string",
        "type": "BROKER",
        "company": {},
        "mainOffice": {},
        "isMainOffice": true,
        "defaultCommissionRate": 0,
        "isActive": true,
        "createdAt": "2022-03-10T12:15:50",
        "lastModifiedDate": "2022-03-10T12:15:50",
        "createdByUserId": "string",
        "updatedByUserId": "string",
        "createdBy": {},
        "updatedBy": {}
      },
      "company": {},
      "country": "string",
      "email": "string",
      "eatciUsername": "string",
      "enabled": true,
      "emailVerified": true,
      "roles": [
        {
          "id": "string",
          "name": "string",
          "label": "string",
          "description": "string",
          "clientRole": true,
          "clientId": "string",
          "containerId": "string",
          "composite": true
        }
      ],
      "createdDate": "2022-03-10T12:15:50",
      "lastModifiedDate": "2022-03-10T12:15:50",
      "createdByUserId": "string",
      "updatedByUserId": "string",
      "createdBy": {},
      "updatedBy": {}
    },
    "updatedBy": {
      "id": "string",
      "username": "string",
      "phoneNumber": "string",
      "name": "string",
      "firstName": "string",
      "lastName": "string",
      "status": "string",
      "broker": {
        "id": "string",
        "brokerCode": "string",
        "brokerNumber": "string",
        "legalName": "string",
        "tradeName": "string",
        "approvalNumber": "string",
        "eatciOfficeCode": "string",
        "address": "string",
        "phone": "string",
        "email": "string",
        "type": "BROKER",
        "company": {},
        "mainOffice": {},
        "isMainOffice": true,
        "defaultCommissionRate": 0,
        "isActive": true,
        "createdAt": "2022-03-10T12:15:50",
        "lastModifiedDate": "2022-03-10T12:15:50",
        "createdByUserId": "string",
        "updatedByUserId": "string",
        "createdBy": {},
        "updatedBy": {}
      },
      "company": {},
      "country": "string",
      "email": "string",
      "eatciUsername": "string",
      "enabled": true,
      "emailVerified": true,
      "roles": [
        {
          "id": "string",
          "name": "string",
          "label": "string",
          "description": "string",
          "clientRole": true,
          "clientId": "string",
          "containerId": "string",
          "composite": true
        }
      ],
      "createdDate": "2022-03-10T12:15:50",
      "lastModifiedDate": "2022-03-10T12:15:50",
      "createdByUserId": "string",
      "updatedByUserId": "string",
      "createdBy": {},
      "updatedBy": {}
    }
  },
  "broker": {
    "id": "string",
    "brokerCode": "string",
    "brokerNumber": "string",
    "legalName": "string",
    "tradeName": "string",
    "approvalNumber": "string",
    "eatciOfficeCode": "string",
    "address": "string",
    "phone": "string",
    "email": "string",
    "type": "BROKER",
    "company": {
      "id": "string",
      "companyCode": "string",
      "companyNumber": "string",
      "companyLabel": "string",
      "legalName": "string",
      "approvalNumber": "string",
      "eatciOfficeCode": "string",
      "address": "string",
      "phone": "string",
      "email": "string",
      "website": "string",
      "logoUrl": "string",
      "isActive": true,
      "createdDate": "2022-03-10T12:15:50",
      "lastModifiedDate": "2022-03-10T12:15:50",
      "createdByUserId": "string",
      "updatedByUserId": "string",
      "createdBy": {
        "id": "string",
        "username": "string",
        "phoneNumber": "string",
        "name": "string",
        "firstName": "string",
        "lastName": "string",
        "status": "string",
        "broker": {},
        "company": {},
        "country": "string",
        "email": "string",
        "eatciUsername": "string",
        "enabled": true,
        "emailVerified": true,
        "roles": [
          {
            "id": "string",
            "name": "string",
            "label": "string",
            "description": "string",
            "clientRole": true,
            "clientId": "string",
            "containerId": "string",
            "composite": true
          }
        ],
        "createdDate": "2022-03-10T12:15:50",
        "lastModifiedDate": "2022-03-10T12:15:50",
        "createdByUserId": "string",
        "updatedByUserId": "string",
        "createdBy": {},
        "updatedBy": {}
      },
      "updatedBy": {
        "id": "string",
        "username": "string",
        "phoneNumber": "string",
        "name": "string",
        "firstName": "string",
        "lastName": "string",
        "status": "string",
        "broker": {},
        "company": {},
        "country": "string",
        "email": "string",
        "eatciUsername": "string",
        "enabled": true,
        "emailVerified": true,
        "roles": [
          {
            "id": "string",
            "name": "string",
            "label": "string",
            "description": "string",
            "clientRole": true,
            "clientId": "string",
            "containerId": "string",
            "composite": true
          }
        ],
        "createdDate": "2022-03-10T12:15:50",
        "lastModifiedDate": "2022-03-10T12:15:50",
        "createdByUserId": "string",
        "updatedByUserId": "string",
        "createdBy": {},
        "updatedBy": {}
      }
    },
    "mainOffice": {},
    "isMainOffice": true,
    "defaultCommissionRate": 0,
    "isActive": true,
    "createdAt": "2022-03-10T12:15:50",
    "lastModifiedDate": "2022-03-10T12:15:50",
    "createdByUserId": "string",
    "updatedByUserId": "string",
    "createdBy": {
      "id": "string",
      "username": "string",
      "phoneNumber": "string",
      "name": "string",
      "firstName": "string",
      "lastName": "string",
      "status": "string",
      "broker": {},
      "company": {
        "id": "string",
        "companyCode": "string",
        "companyNumber": "string",
        "companyLabel": "string",
        "legalName": "string",
        "approvalNumber": "string",
        "eatciOfficeCode": "string",
        "address": "string",
        "phone": "string",
        "email": "string",
        "website": "string",
        "logoUrl": "string",
        "isActive": true,
        "createdDate": "2022-03-10T12:15:50",
        "lastModifiedDate": "2022-03-10T12:15:50",
        "createdByUserId": "string",
        "updatedByUserId": "string",
        "createdBy": {},
        "updatedBy": {}
      },
      "country": "string",
      "email": "string",
      "eatciUsername": "string",
      "enabled": true,
      "emailVerified": true,
      "roles": [
        {
          "id": "string",
          "name": "string",
          "label": "string",
          "description": "string",
          "clientRole": true,
          "clientId": "string",
          "containerId": "string",
          "composite": true
        }
      ],
      "createdDate": "2022-03-10T12:15:50",
      "lastModifiedDate": "2022-03-10T12:15:50",
      "createdByUserId": "string",
      "updatedByUserId": "string",
      "createdBy": {},
      "updatedBy": {}
    },
    "updatedBy": {
      "id": "string",
      "username": "string",
      "phoneNumber": "string",
      "name": "string",
      "firstName": "string",
      "lastName": "string",
      "status": "string",
      "broker": {},
      "company": {
        "id": "string",
        "companyCode": "string",
        "companyNumber": "string",
        "companyLabel": "string",
        "legalName": "string",
        "approvalNumber": "string",
        "eatciOfficeCode": "string",
        "address": "string",
        "phone": "string",
        "email": "string",
        "website": "string",
        "logoUrl": "string",
        "isActive": true,
        "createdDate": "2022-03-10T12:15:50",
        "lastModifiedDate": "2022-03-10T12:15:50",
        "createdByUserId": "string",
        "updatedByUserId": "string",
        "createdBy": {},
        "updatedBy": {}
      },
      "country": "string",
      "email": "string",
      "eatciUsername": "string",
      "enabled": true,
      "emailVerified": true,
      "roles": [
        {
          "id": "string",
          "name": "string",
          "label": "string",
          "description": "string",
          "clientRole": true,
          "clientId": "string",
          "containerId": "string",
          "composite": true
        }
      ],
      "createdDate": "2022-03-10T12:15:50",
      "lastModifiedDate": "2022-03-10T12:15:50",
      "createdByUserId": "string",
      "updatedByUserId": "string",
      "createdBy": {},
      "updatedBy": {}
    }
  },
  "brokerCompany": {
    "id": "string",
    "broker": {
      "id": "string",
      "brokerCode": "string",
      "brokerNumber": "string",
      "legalName": "string",
      "tradeName": "string",
      "approvalNumber": "string",
      "eatciOfficeCode": "string",
      "address": "string",
      "phone": "string",
      "email": "string",
      "type": "BROKER",
      "company": {
        "id": "string",
        "companyCode": "string",
        "companyNumber": "string",
        "companyLabel": "string",
        "legalName": "string",
        "approvalNumber": "string",
        "eatciOfficeCode": "string",
        "address": "string",
        "phone": "string",
        "email": "string",
        "website": "string",
        "logoUrl": "string",
        "isActive": true,
        "createdDate": "2022-03-10T12:15:50",
        "lastModifiedDate": "2022-03-10T12:15:50",
        "createdByUserId": "string",
        "updatedByUserId": "string",
        "createdBy": {
          "id": "string",
          "username": "string",
          "phoneNumber": "string",
          "name": "string",
          "firstName": "string",
          "lastName": "string",
          "status": "string",
          "broker": {},
          "company": {},
          "country": "string",
          "email": "string",
          "eatciUsername": "string",
          "enabled": true,
          "emailVerified": true,
          "roles": [
            {
              "id": "string",
              "name": "string",
              "label": "string",
              "description": "string",
              "clientRole": true,
              "clientId": "string",
              "containerId": "string",
              "composite": true
            }
          ],
          "createdDate": "2022-03-10T12:15:50",
          "lastModifiedDate": "2022-03-10T12:15:50",
          "createdByUserId": "string",
          "updatedByUserId": "string",
          "createdBy": {},
          "updatedBy": {}
        },
        "updatedBy": {
          "id": "string",
          "username": "string",
          "phoneNumber": "string",
          "name": "string",
          "firstName": "string",
          "lastName": "string",
          "status": "string",
          "broker": {},
          "company": {},
          "country": "string",
          "email": "string",
          "eatciUsername": "string",
          "enabled": true,
          "emailVerified": true,
          "roles": [
            {
              "id": "string",
              "name": "string",
              "label": "string",
              "description": "string",
              "clientRole": true,
              "clientId": "string",
              "containerId": "string",
              "composite": true
            }
          ],
          "createdDate": "2022-03-10T12:15:50",
          "lastModifiedDate": "2022-03-10T12:15:50",
          "createdByUserId": "string",
          "updatedByUserId": "string",
          "createdBy": {},
          "updatedBy": {}
        }
      },
      "mainOffice": {},
      "isMainOffice": true,
      "defaultCommissionRate": 0,
      "isActive": true,
      "createdAt": "2022-03-10T12:15:50",
      "lastModifiedDate": "2022-03-10T12:15:50",
      "createdByUserId": "string",
      "updatedByUserId": "string",
      "createdBy": {
        "id": "string",
        "username": "string",
        "phoneNumber": "string",
        "name": "string",
        "firstName": "string",
        "lastName": "string",
        "status": "string",
        "broker": {},
        "company": {
          "id": "string",
          "companyCode": "string",
          "companyNumber": "string",
          "companyLabel": "string",
          "legalName": "string",
          "approvalNumber": "string",
          "eatciOfficeCode": "string",
          "address": "string",
          "phone": "string",
          "email": "string",
          "website": "string",
          "logoUrl": "string",
          "isActive": true,
          "createdDate": "2022-03-10T12:15:50",
          "lastModifiedDate": "2022-03-10T12:15:50",
          "createdByUserId": "string",
          "updatedByUserId": "string",
          "createdBy": {},
          "updatedBy": {}
        },
        "country": "string",
        "email": "string",
        "eatciUsername": "string",
        "enabled": true,
        "emailVerified": true,
        "roles": [
          {
            "id": "string",
            "name": "string",
            "label": "string",
            "description": "string",
            "clientRole": true,
            "clientId": "string",
            "containerId": "string",
            "composite": true
          }
        ],
        "createdDate": "2022-03-10T12:15:50",
        "lastModifiedDate": "2022-03-10T12:15:50",
        "createdByUserId": "string",
        "updatedByUserId": "string",
        "createdBy": {},
        "updatedBy": {}
      },
      "updatedBy": {
        "id": "string",
        "username": "string",
        "phoneNumber": "string",
        "name": "string",
        "firstName": "string",
        "lastName": "string",
        "status": "string",
        "broker": {},
        "company": {
          "id": "string",
          "companyCode": "string",
          "companyNumber": "string",
          "companyLabel": "string",
          "legalName": "string",
          "approvalNumber": "string",
          "eatciOfficeCode": "string",
          "address": "string",
          "phone": "string",
          "email": "string",
          "website": "string",
          "logoUrl": "string",
          "isActive": true,
          "createdDate": "2022-03-10T12:15:50",
          "lastModifiedDate": "2022-03-10T12:15:50",
          "createdByUserId": "string",
          "updatedByUserId": "string",
          "createdBy": {},
          "updatedBy": {}
        },
        "country": "string",
        "email": "string",
        "eatciUsername": "string",
        "enabled": true,
        "emailVerified": true,
        "roles": [
          {
            "id": "string",
            "name": "string",
            "label": "string",
            "description": "string",
            "clientRole": true,
            "clientId": "string",
            "containerId": "string",
            "composite": true
          }
        ],
        "createdDate": "2022-03-10T12:15:50",
        "lastModifiedDate": "2022-03-10T12:15:50",
        "createdByUserId": "string",
        "updatedByUserId": "string",
        "createdBy": {},
        "updatedBy": {}
      }
    },
    "company": {
      "id": "string",
      "companyCode": "string",
      "companyNumber": "string",
      "companyLabel": "string",
      "legalName": "string",
      "approvalNumber": "string",
      "eatciOfficeCode": "string",
      "address": "string",
      "phone": "string",
      "email": "string",
      "website": "string",
      "logoUrl": "string",
      "isActive": true,
      "createdDate": "2022-03-10T12:15:50",
      "lastModifiedDate": "2022-03-10T12:15:50",
      "createdByUserId": "string",
      "updatedByUserId": "string",
      "createdBy": {
        "id": "string",
        "username": "string",
        "phoneNumber": "string",
        "name": "string",
        "firstName": "string",
        "lastName": "string",
        "status": "string",
        "broker": {
          "id": "string",
          "brokerCode": "string",
          "brokerNumber": "string",
          "legalName": "string",
          "tradeName": "string",
          "approvalNumber": "string",
          "eatciOfficeCode": "string",
          "address": "string",
          "phone": "string",
          "email": "string",
          "type": "BROKER",
          "company": {},
          "mainOffice": {},
          "isMainOffice": true,
          "defaultCommissionRate": 0,
          "isActive": true,
          "createdAt": "2022-03-10T12:15:50",
          "lastModifiedDate": "2022-03-10T12:15:50",
          "createdByUserId": "string",
          "updatedByUserId": "string",
          "createdBy": {},
          "updatedBy": {}
        },
        "company": {},
        "country": "string",
        "email": "string",
        "eatciUsername": "string",
        "enabled": true,
        "emailVerified": true,
        "roles": [
          {
            "id": "string",
            "name": "string",
            "label": "string",
            "description": "string",
            "clientRole": true,
            "clientId": "string",
            "containerId": "string",
            "composite": true
          }
        ],
        "createdDate": "2022-03-10T12:15:50",
        "lastModifiedDate": "2022-03-10T12:15:50",
        "createdByUserId": "string",
        "updatedByUserId": "string",
        "createdBy": {},
        "updatedBy": {}
      },
      "updatedBy": {
        "id": "string",
        "username": "string",
        "phoneNumber": "string",
        "name": "string",
        "firstName": "string",
        "lastName": "string",
        "status": "string",
        "broker": {
          "id": "string",
          "brokerCode": "string",
          "brokerNumber": "string",
          "legalName": "string",
          "tradeName": "string",
          "approvalNumber": "string",
          "eatciOfficeCode": "string",
          "address": "string",
          "phone": "string",
          "email": "string",
          "type": "BROKER",
          "company": {},
          "mainOffice": {},
          "isMainOffice": true,
          "defaultCommissionRate": 0,
          "isActive": true,
          "createdAt": "2022-03-10T12:15:50",
          "lastModifiedDate": "2022-03-10T12:15:50",
          "createdByUserId": "string",
          "updatedByUserId": "string",
          "createdBy": {},
          "updatedBy": {}
        },
        "company": {},
        "country": "string",
        "email": "string",
        "eatciUsername": "string",
        "enabled": true,
        "emailVerified": true,
        "roles": [
          {
            "id": "string",
            "name": "string",
            "label": "string",
            "description": "string",
            "clientRole": true,
            "clientId": "string",
            "containerId": "string",
            "composite": true
          }
        ],
        "createdDate": "2022-03-10T12:15:50",
        "lastModifiedDate": "2022-03-10T12:15:50",
        "createdByUserId": "string",
        "updatedByUserId": "string",
        "createdBy": {},
        "updatedBy": {}
      }
    },
    "companyBrokerCode": "string",
    "commissionRate": 0,
    "issuanceLimit": 0,
    "canCreateProposal": true,
    "canValidateContract": true,
    "canIssueCertificate": true,
    "canManageEndorsement": true,
    "partnershipStartDate": "2022-03-10",
    "partnershipEndDate": "2022-03-10",
    "partnershipStatus": "ACTIVE",
    "statusReason": "string",
    "isActive": true,
    "createdAt": "2022-03-10T12:15:50",
    "lastModifiedDate": "2022-03-10T12:15:50",
    "createdByUserId": "string",
    "updatedByUserId": "string",
    "createdBy": {
      "id": "string",
      "username": "string",
      "phoneNumber": "string",
      "name": "string",
      "firstName": "string",
      "lastName": "string",
      "status": "string",
      "broker": {
        "id": "string",
        "brokerCode": "string",
        "brokerNumber": "string",
        "legalName": "string",
        "tradeName": "string",
        "approvalNumber": "string",
        "eatciOfficeCode": "string",
        "address": "string",
        "phone": "string",
        "email": "string",
        "type": "BROKER",
        "company": {
          "id": "string",
          "companyCode": "string",
          "companyNumber": "string",
          "companyLabel": "string",
          "legalName": "string",
          "approvalNumber": "string",
          "eatciOfficeCode": "string",
          "address": "string",
          "phone": "string",
          "email": "string",
          "website": "string",
          "logoUrl": "string",
          "isActive": true,
          "createdDate": "2022-03-10T12:15:50",
          "lastModifiedDate": "2022-03-10T12:15:50",
          "createdByUserId": "string",
          "updatedByUserId": "string",
          "createdBy": {},
          "updatedBy": {}
        },
        "mainOffice": {},
        "isMainOffice": true,
        "defaultCommissionRate": 0,
        "isActive": true,
        "createdAt": "2022-03-10T12:15:50",
        "lastModifiedDate": "2022-03-10T12:15:50",
        "createdByUserId": "string",
        "updatedByUserId": "string",
        "createdBy": {},
        "updatedBy": {}
      },
      "company": {
        "id": "string",
        "companyCode": "string",
        "companyNumber": "string",
        "companyLabel": "string",
        "legalName": "string",
        "approvalNumber": "string",
        "eatciOfficeCode": "string",
        "address": "string",
        "phone": "string",
        "email": "string",
        "website": "string",
        "logoUrl": "string",
        "isActive": true,
        "createdDate": "2022-03-10T12:15:50",
        "lastModifiedDate": "2022-03-10T12:15:50",
        "createdByUserId": "string",
        "updatedByUserId": "string",
        "createdBy": {},
        "updatedBy": {}
      },
      "country": "string",
      "email": "string",
      "eatciUsername": "string",
      "enabled": true,
      "emailVerified": true,
      "roles": [
        {
          "id": "string",
          "name": "string",
          "label": "string",
          "description": "string",
          "clientRole": true,
          "clientId": "string",
          "containerId": "string",
          "composite": true
        }
      ],
      "createdDate": "2022-03-10T12:15:50",
      "lastModifiedDate": "2022-03-10T12:15:50",
      "createdByUserId": "string",
      "updatedByUserId": "string",
      "createdBy": {},
      "updatedBy": {}
    },
    "updatedBy": {
      "id": "string",
      "username": "string",
      "phoneNumber": "string",
      "name": "string",
      "firstName": "string",
      "lastName": "string",
      "status": "string",
      "broker": {
        "id": "string",
        "brokerCode": "string",
        "brokerNumber": "string",
        "legalName": "string",
        "tradeName": "string",
        "approvalNumber": "string",
        "eatciOfficeCode": "string",
        "address": "string",
        "phone": "string",
        "email": "string",
        "type": "BROKER",
        "company": {
          "id": "string",
          "companyCode": "string",
          "companyNumber": "string",
          "companyLabel": "string",
          "legalName": "string",
          "approvalNumber": "string",
          "eatciOfficeCode": "string",
          "address": "string",
          "phone": "string",
          "email": "string",
          "website": "string",
          "logoUrl": "string",
          "isActive": true,
          "createdDate": "2022-03-10T12:15:50",
          "lastModifiedDate": "2022-03-10T12:15:50",
          "createdByUserId": "string",
          "updatedByUserId": "string",
          "createdBy": {},
          "updatedBy": {}
        },
        "mainOffice": {},
        "isMainOffice": true,
        "defaultCommissionRate": 0,
        "isActive": true,
        "createdAt": "2022-03-10T12:15:50",
        "lastModifiedDate": "2022-03-10T12:15:50",
        "createdByUserId": "string",
        "updatedByUserId": "string",
        "createdBy": {},
        "updatedBy": {}
      },
      "company": {
        "id": "string",
        "companyCode": "string",
        "companyNumber": "string",
        "companyLabel": "string",
        "legalName": "string",
        "approvalNumber": "string",
        "eatciOfficeCode": "string",
        "address": "string",
        "phone": "string",
        "email": "string",
        "website": "string",
        "logoUrl": "string",
        "isActive": true,
        "createdDate": "2022-03-10T12:15:50",
        "lastModifiedDate": "2022-03-10T12:15:50",
        "createdByUserId": "string",
        "updatedByUserId": "string",
        "createdBy": {},
        "updatedBy": {}
      },
      "country": "string",
      "email": "string",
      "eatciUsername": "string",
      "enabled": true,
      "emailVerified": true,
      "roles": [
        {
          "id": "string",
          "name": "string",
          "label": "string",
          "description": "string",
          "clientRole": true,
          "clientId": "string",
          "containerId": "string",
          "composite": true
        }
      ],
      "createdDate": "2022-03-10T12:15:50",
      "lastModifiedDate": "2022-03-10T12:15:50",
      "createdByUserId": "string",
      "updatedByUserId": "string",
      "createdBy": {},
      "updatedBy": {}
    },
    "activePartnership": true,
    "suspended": true,
    "terminated": true
  },
  "branch": {
    "id": "string",
    "branchCode": 0,
    "branchLabel": "string",
    "tariffType": "string",
    "description": "string",
    "isActive": true,
    "displayOrder": 0,
    "createdDate": "2022-03-10T12:15:50",
    "lastModifiedDate": "2022-03-10T12:15:50",
    "createdByUserId": "string",
    "updatedByUserId": "string",
    "createdBy": {
      "id": "string",
      "username": "string",
      "phoneNumber": "string",
      "name": "string",
      "firstName": "string",
      "lastName": "string",
      "status": "string",
      "broker": {
        "id": "string",
        "brokerCode": "string",
        "brokerNumber": "string",
        "legalName": "string",
        "tradeName": "string",
        "approvalNumber": "string",
        "eatciOfficeCode": "string",
        "address": "string",
        "phone": "string",
        "email": "string",
        "type": "BROKER",
        "company": {
          "id": "string",
          "companyCode": "string",
          "companyNumber": "string",
          "companyLabel": "string",
          "legalName": "string",
          "approvalNumber": "string",
          "eatciOfficeCode": "string",
          "address": "string",
          "phone": "string",
          "email": "string",
          "website": "string",
          "logoUrl": "string",
          "isActive": true,
          "createdDate": "2022-03-10T12:15:50",
          "lastModifiedDate": "2022-03-10T12:15:50",
          "createdByUserId": "string",
          "updatedByUserId": "string",
          "createdBy": {},
          "updatedBy": {}
        },
        "mainOffice": {},
        "isMainOffice": true,
        "defaultCommissionRate": 0,
        "isActive": true,
        "createdAt": "2022-03-10T12:15:50",
        "lastModifiedDate": "2022-03-10T12:15:50",
        "createdByUserId": "string",
        "updatedByUserId": "string",
        "createdBy": {},
        "updatedBy": {}
      },
      "company": {
        "id": "string",
        "companyCode": "string",
        "companyNumber": "string",
        "companyLabel": "string",
        "legalName": "string",
        "approvalNumber": "string",
        "eatciOfficeCode": "string",
        "address": "string",
        "phone": "string",
        "email": "string",
        "website": "string",
        "logoUrl": "string",
        "isActive": true,
        "createdDate": "2022-03-10T12:15:50",
        "lastModifiedDate": "2022-03-10T12:15:50",
        "createdByUserId": "string",
        "updatedByUserId": "string",
        "createdBy": {},
        "updatedBy": {}
      },
      "country": "string",
      "email": "string",
      "eatciUsername": "string",
      "enabled": true,
      "emailVerified": true,
      "roles": [
        {
          "id": "string",
          "name": "string",
          "label": "string",
          "description": "string",
          "clientRole": true,
          "clientId": "string",
          "containerId": "string",
          "composite": true
        }
      ],
      "createdDate": "2022-03-10T12:15:50",
      "lastModifiedDate": "2022-03-10T12:15:50",
      "createdByUserId": "string",
      "updatedByUserId": "string",
      "createdBy": {},
      "updatedBy": {}
    },
    "updatedBy": {
      "id": "string",
      "username": "string",
      "phoneNumber": "string",
      "name": "string",
      "firstName": "string",
      "lastName": "string",
      "status": "string",
      "broker": {
        "id": "string",
        "brokerCode": "string",
        "brokerNumber": "string",
        "legalName": "string",
        "tradeName": "string",
        "approvalNumber": "string",
        "eatciOfficeCode": "string",
        "address": "string",
        "phone": "string",
        "email": "string",
        "type": "BROKER",
        "company": {
          "id": "string",
          "companyCode": "string",
          "companyNumber": "string",
          "companyLabel": "string",
          "legalName": "string",
          "approvalNumber": "string",
          "eatciOfficeCode": "string",
          "address": "string",
          "phone": "string",
          "email": "string",
          "website": "string",
          "logoUrl": "string",
          "isActive": true,
          "createdDate": "2022-03-10T12:15:50",
          "lastModifiedDate": "2022-03-10T12:15:50",
          "createdByUserId": "string",
          "updatedByUserId": "string",
          "createdBy": {},
          "updatedBy": {}
        },
        "mainOffice": {},
        "isMainOffice": true,
        "defaultCommissionRate": 0,
        "isActive": true,
        "createdAt": "2022-03-10T12:15:50",
        "lastModifiedDate": "2022-03-10T12:15:50",
        "createdByUserId": "string",
        "updatedByUserId": "string",
        "createdBy": {},
        "updatedBy": {}
      },
      "company": {
        "id": "string",
        "companyCode": "string",
        "companyNumber": "string",
        "companyLabel": "string",
        "legalName": "string",
        "approvalNumber": "string",
        "eatciOfficeCode": "string",
        "address": "string",
        "phone": "string",
        "email": "string",
        "website": "string",
        "logoUrl": "string",
        "isActive": true,
        "createdDate": "2022-03-10T12:15:50",
        "lastModifiedDate": "2022-03-10T12:15:50",
        "createdByUserId": "string",
        "updatedByUserId": "string",
        "createdBy": {},
        "updatedBy": {}
      },
      "country": "string",
      "email": "string",
      "eatciUsername": "string",
      "enabled": true,
      "emailVerified": true,
      "roles": [
        {
          "id": "string",
          "name": "string",
          "label": "string",
          "description": "string",
          "clientRole": true,
          "clientId": "string",
          "containerId": "string",
          "composite": true
        }
      ],
      "createdDate": "2022-03-10T12:15:50",
      "lastModifiedDate": "2022-03-10T12:15:50",
      "createdByUserId": "string",
      "updatedByUserId": "string",
      "createdBy": {},
      "updatedBy": {}
    }
  },
  "category": {
    "id": "string",
    "branch": {
      "id": "string",
      "branchCode": 0,
      "branchLabel": "string",
      "tariffType": "string",
      "description": "string",
      "isActive": true,
      "displayOrder": 0,
      "createdDate": "2022-03-10T12:15:50",
      "lastModifiedDate": "2022-03-10T12:15:50",
      "createdByUserId": "string",
      "updatedByUserId": "string",
      "createdBy": {
        "id": "string",
        "username": "string",
        "phoneNumber": "string",
        "name": "string",
        "firstName": "string",
        "lastName": "string",
        "status": "string",
        "broker": {
          "id": "string",
          "brokerCode": "string",
          "brokerNumber": "string",
          "legalName": "string",
          "tradeName": "string",
          "approvalNumber": "string",
          "eatciOfficeCode": "string",
          "address": "string",
          "phone": "string",
          "email": "string",
          "type": "BROKER",
          "company": {
            "id": "string",
            "companyCode": "string",
            "companyNumber": "string",
            "companyLabel": "string",
            "legalName": "string",
            "approvalNumber": "string",
            "eatciOfficeCode": "string",
            "address": "string",
            "phone": "string",
            "email": "string",
            "website": "string",
            "logoUrl": "string",
            "isActive": true,
            "createdDate": "2022-03-10T12:15:50",
            "lastModifiedDate": "2022-03-10T12:15:50",
            "createdByUserId": "string",
            "updatedByUserId": "string",
            "createdBy": {},
            "updatedBy": {}
          },
          "mainOffice": {},
          "isMainOffice": true,
          "defaultCommissionRate": 0,
          "isActive": true,
          "createdAt": "2022-03-10T12:15:50",
          "lastModifiedDate": "2022-03-10T12:15:50",
          "createdByUserId": "string",
          "updatedByUserId": "string",
          "createdBy": {},
          "updatedBy": {}
        },
        "company": {
          "id": "string",
          "companyCode": "string",
          "companyNumber": "string",
          "companyLabel": "string",
          "legalName": "string",
          "approvalNumber": "string",
          "eatciOfficeCode": "string",
          "address": "string",
          "phone": "string",
          "email": "string",
          "website": "string",
          "logoUrl": "string",
          "isActive": true,
          "createdDate": "2022-03-10T12:15:50",
          "lastModifiedDate": "2022-03-10T12:15:50",
          "createdByUserId": "string",
          "updatedByUserId": "string",
          "createdBy": {},
          "updatedBy": {}
        },
        "country": "string",
        "email": "string",
        "eatciUsername": "string",
        "enabled": true,
        "emailVerified": true,
        "roles": [
          {
            "id": "string",
            "name": "string",
            "label": "string",
            "description": "string",
            "clientRole": true,
            "clientId": "string",
            "containerId": "string",
            "composite": true
          }
        ],
        "createdDate": "2022-03-10T12:15:50",
        "lastModifiedDate": "2022-03-10T12:15:50",
        "createdByUserId": "string",
        "updatedByUserId": "string",
        "createdBy": {},
        "updatedBy": {}
      },
      "updatedBy": {
        "id": "string",
        "username": "string",
        "phoneNumber": "string",
        "name": "string",
        "firstName": "string",
        "lastName": "string",
        "status": "string",
        "broker": {
          "id": "string",
          "brokerCode": "string",
          "brokerNumber": "string",
          "legalName": "string",
          "tradeName": "string",
          "approvalNumber": "string",
          "eatciOfficeCode": "string",
          "address": "string",
          "phone": "string",
          "email": "string",
          "type": "BROKER",
          "company": {
            "id": "string",
            "companyCode": "string",
            "companyNumber": "string",
            "companyLabel": "string",
            "legalName": "string",
            "approvalNumber": "string",
            "eatciOfficeCode": "string",
            "address": "string",
            "phone": "string",
            "email": "string",
            "website": "string",
            "logoUrl": "string",
            "isActive": true,
            "createdDate": "2022-03-10T12:15:50",
            "lastModifiedDate": "2022-03-10T12:15:50",
            "createdByUserId": "string",
            "updatedByUserId": "string",
            "createdBy": {},
            "updatedBy": {}
          },
          "mainOffice": {},
          "isMainOffice": true,
          "defaultCommissionRate": 0,
          "isActive": true,
          "createdAt": "2022-03-10T12:15:50",
          "lastModifiedDate": "2022-03-10T12:15:50",
          "createdByUserId": "string",
          "updatedByUserId": "string",
          "createdBy": {},
          "updatedBy": {}
        },
        "company": {
          "id": "string",
          "companyCode": "string",
          "companyNumber": "string",
          "companyLabel": "string",
          "legalName": "string",
          "approvalNumber": "string",
          "eatciOfficeCode": "string",
          "address": "string",
          "phone": "string",
          "email": "string",
          "website": "string",
          "logoUrl": "string",
          "isActive": true,
          "createdDate": "2022-03-10T12:15:50",
          "lastModifiedDate": "2022-03-10T12:15:50",
          "createdByUserId": "string",
          "updatedByUserId": "string",
          "createdBy": {},
          "updatedBy": {}
        },
        "country": "string",
        "email": "string",
        "eatciUsername": "string",
        "enabled": true,
        "emailVerified": true,
        "roles": [
          {
            "id": "string",
            "name": "string",
            "label": "string",
            "description": "string",
            "clientRole": true,
            "clientId": "string",
            "containerId": "string",
            "composite": true
          }
        ],
        "createdDate": "2022-03-10T12:15:50",
        "lastModifiedDate": "2022-03-10T12:15:50",
        "createdByUserId": "string",
        "updatedByUserId": "string",
        "createdBy": {},
        "updatedBy": {}
      }
    },
    "product": {
      "id": "string",
      "productCode": "string",
      "productLabel": "string",
      "description": "string",
      "isActive": true,
      "displayOrder": 0,
      "createdAt": "2022-03-10T12:15:50",
      "lastModifiedDate": "2022-03-10T12:15:50",
      "createdByUserId": "string",
      "updatedByUserId": "string",
      "createdBy": {
        "id": "string",
        "username": "string",
        "phoneNumber": "string",
        "name": "string",
        "firstName": "string",
        "lastName": "string",
        "status": "string",
        "broker": {
          "id": "string",
          "brokerCode": "string",
          "brokerNumber": "string",
          "legalName": "string",
          "tradeName": "string",
          "approvalNumber": "string",
          "eatciOfficeCode": "string",
          "address": "string",
          "phone": "string",
          "email": "string",
          "type": "BROKER",
          "company": {
            "id": "string",
            "companyCode": "string",
            "companyNumber": "string",
            "companyLabel": "string",
            "legalName": "string",
            "approvalNumber": "string",
            "eatciOfficeCode": "string",
            "address": "string",
            "phone": "string",
            "email": "string",
            "website": "string",
            "logoUrl": "string",
            "isActive": true,
            "createdDate": "2022-03-10T12:15:50",
            "lastModifiedDate": "2022-03-10T12:15:50",
            "createdByUserId": "string",
            "updatedByUserId": "string",
            "createdBy": {},
            "updatedBy": {}
          },
          "mainOffice": {},
          "isMainOffice": true,
          "defaultCommissionRate": 0,
          "isActive": true,
          "createdAt": "2022-03-10T12:15:50",
          "lastModifiedDate": "2022-03-10T12:15:50",
          "createdByUserId": "string",
          "updatedByUserId": "string",
          "createdBy": {},
          "updatedBy": {}
        },
        "company": {
          "id": "string",
          "companyCode": "string",
          "companyNumber": "string",
          "companyLabel": "string",
          "legalName": "string",
          "approvalNumber": "string",
          "eatciOfficeCode": "string",
          "address": "string",
          "phone": "string",
          "email": "string",
          "website": "string",
          "logoUrl": "string",
          "isActive": true,
          "createdDate": "2022-03-10T12:15:50",
          "lastModifiedDate": "2022-03-10T12:15:50",
          "createdByUserId": "string",
          "updatedByUserId": "string",
          "createdBy": {},
          "updatedBy": {}
        },
        "country": "string",
        "email": "string",
        "eatciUsername": "string",
        "enabled": true,
        "emailVerified": true,
        "roles": [
          {
            "id": "string",
            "name": "string",
            "label": "string",
            "description": "string",
            "clientRole": true,
            "clientId": "string",
            "containerId": "string",
            "composite": true
          }
        ],
        "createdDate": "2022-03-10T12:15:50",
        "lastModifiedDate": "2022-03-10T12:15:50",
        "createdByUserId": "string",
        "updatedByUserId": "string",
        "createdBy": {},
        "updatedBy": {}
      },
      "updatedBy": {
        "id": "string",
        "username": "string",
        "phoneNumber": "string",
        "name": "string",
        "firstName": "string",
        "lastName": "string",
        "status": "string",
        "broker": {
          "id": "string",
          "brokerCode": "string",
          "brokerNumber": "string",
          "legalName": "string",
          "tradeName": "string",
          "approvalNumber": "string",
          "eatciOfficeCode": "string",
          "address": "string",
          "phone": "string",
          "email": "string",
          "type": "BROKER",
          "company": {
            "id": "string",
            "companyCode": "string",
            "companyNumber": "string",
            "companyLabel": "string",
            "legalName": "string",
            "approvalNumber": "string",
            "eatciOfficeCode": "string",
            "address": "string",
            "phone": "string",
            "email": "string",
            "website": "string",
            "logoUrl": "string",
            "isActive": true,
            "createdDate": "2022-03-10T12:15:50",
            "lastModifiedDate": "2022-03-10T12:15:50",
            "createdByUserId": "string",
            "updatedByUserId": "string",
            "createdBy": {},
            "updatedBy": {}
          },
          "mainOffice": {},
          "isMainOffice": true,
          "defaultCommissionRate": 0,
          "isActive": true,
          "createdAt": "2022-03-10T12:15:50",
          "lastModifiedDate": "2022-03-10T12:15:50",
          "createdByUserId": "string",
          "updatedByUserId": "string",
          "createdBy": {},
          "updatedBy": {}
        },
        "company": {
          "id": "string",
          "companyCode": "string",
          "companyNumber": "string",
          "companyLabel": "string",
          "legalName": "string",
          "approvalNumber": "string",
          "eatciOfficeCode": "string",
          "address": "string",
          "phone": "string",
          "email": "string",
          "website": "string",
          "logoUrl": "string",
          "isActive": true,
          "createdDate": "2022-03-10T12:15:50",
          "lastModifiedDate": "2022-03-10T12:15:50",
          "createdByUserId": "string",
          "updatedByUserId": "string",
          "createdBy": {},
          "updatedBy": {}
        },
        "country": "string",
        "email": "string",
        "eatciUsername": "string",
        "enabled": true,
        "emailVerified": true,
        "roles": [
          {
            "id": "string",
            "name": "string",
            "label": "string",
            "description": "string",
            "clientRole": true,
            "clientId": "string",
            "containerId": "string",
            "composite": true
          }
        ],
        "createdDate": "2022-03-10T12:15:50",
        "lastModifiedDate": "2022-03-10T12:15:50",
        "createdByUserId": "string",
        "updatedByUserId": "string",
        "createdBy": {},
        "updatedBy": {}
      }
    },
    "branchId": "string",
    "productId": "string",
    "subBranchCode": 0,
    "categoryCode": "string",
    "subBranchLabel": "string",
    "subBranchShortLabel": "string",
    "generalConditionsRef": 0,
    "policyAttribution": "string",
    "deletionCode": "string",
    "isCollective": "string",
    "applySubContract": "string",
    "tariffType": 0,
    "isActive": true,
    "displayOrder": 0,
    "createdAt": "2022-03-10T12:15:50",
    "lastModifiedDate": "2022-03-10T12:15:50",
    "createdByUserId": "string",
    "updatedByUserId": "string",
    "createdBy": {
      "id": "string",
      "username": "string",
      "phoneNumber": "string",
      "name": "string",
      "firstName": "string",
      "lastName": "string",
      "status": "string",
      "broker": {
        "id": "string",
        "brokerCode": "string",
        "brokerNumber": "string",
        "legalName": "string",
        "tradeName": "string",
        "approvalNumber": "string",
        "eatciOfficeCode": "string",
        "address": "string",
        "phone": "string",
        "email": "string",
        "type": "BROKER",
        "company": {
          "id": "string",
          "companyCode": "string",
          "companyNumber": "string",
          "companyLabel": "string",
          "legalName": "string",
          "approvalNumber": "string",
          "eatciOfficeCode": "string",
          "address": "string",
          "phone": "string",
          "email": "string",
          "website": "string",
          "logoUrl": "string",
          "isActive": true,
          "createdDate": "2022-03-10T12:15:50",
          "lastModifiedDate": "2022-03-10T12:15:50",
          "createdByUserId": "string",
          "updatedByUserId": "string",
          "createdBy": {},
          "updatedBy": {}
        },
        "mainOffice": {},
        "isMainOffice": true,
        "defaultCommissionRate": 0,
        "isActive": true,
        "createdAt": "2022-03-10T12:15:50",
        "lastModifiedDate": "2022-03-10T12:15:50",
        "createdByUserId": "string",
        "updatedByUserId": "string",
        "createdBy": {},
        "updatedBy": {}
      },
      "company": {
        "id": "string",
        "companyCode": "string",
        "companyNumber": "string",
        "companyLabel": "string",
        "legalName": "string",
        "approvalNumber": "string",
        "eatciOfficeCode": "string",
        "address": "string",
        "phone": "string",
        "email": "string",
        "website": "string",
        "logoUrl": "string",
        "isActive": true,
        "createdDate": "2022-03-10T12:15:50",
        "lastModifiedDate": "2022-03-10T12:15:50",
        "createdByUserId": "string",
        "updatedByUserId": "string",
        "createdBy": {},
        "updatedBy": {}
      },
      "country": "string",
      "email": "string",
      "eatciUsername": "string",
      "enabled": true,
      "emailVerified": true,
      "roles": [
        {
          "id": "string",
          "name": "string",
          "label": "string",
          "description": "string",
          "clientRole": true,
          "clientId": "string",
          "containerId": "string",
          "composite": true
        }
      ],
      "createdDate": "2022-03-10T12:15:50",
      "lastModifiedDate": "2022-03-10T12:15:50",
      "createdByUserId": "string",
      "updatedByUserId": "string",
      "createdBy": {},
      "updatedBy": {}
    },
    "updatedBy": {
      "id": "string",
      "username": "string",
      "phoneNumber": "string",
      "name": "string",
      "firstName": "string",
      "lastName": "string",
      "status": "string",
      "broker": {
        "id": "string",
        "brokerCode": "string",
        "brokerNumber": "string",
        "legalName": "string",
        "tradeName": "string",
        "approvalNumber": "string",
        "eatciOfficeCode": "string",
        "address": "string",
        "phone": "string",
        "email": "string",
        "type": "BROKER",
        "company": {
          "id": "string",
          "companyCode": "string",
          "companyNumber": "string",
          "companyLabel": "string",
          "legalName": "string",
          "approvalNumber": "string",
          "eatciOfficeCode": "string",
          "address": "string",
          "phone": "string",
          "email": "string",
          "website": "string",
          "logoUrl": "string",
          "isActive": true,
          "createdDate": "2022-03-10T12:15:50",
          "lastModifiedDate": "2022-03-10T12:15:50",
          "createdByUserId": "string",
          "updatedByUserId": "string",
          "createdBy": {},
          "updatedBy": {}
        },
        "mainOffice": {},
        "isMainOffice": true,
        "defaultCommissionRate": 0,
        "isActive": true,
        "createdAt": "2022-03-10T12:15:50",
        "lastModifiedDate": "2022-03-10T12:15:50",
        "createdByUserId": "string",
        "updatedByUserId": "string",
        "createdBy": {},
        "updatedBy": {}
      },
      "company": {
        "id": "string",
        "companyCode": "string",
        "companyNumber": "string",
        "companyLabel": "string",
        "legalName": "string",
        "approvalNumber": "string",
        "eatciOfficeCode": "string",
        "address": "string",
        "phone": "string",
        "email": "string",
        "website": "string",
        "logoUrl": "string",
        "isActive": true,
        "createdDate": "2022-03-10T12:15:50",
        "lastModifiedDate": "2022-03-10T12:15:50",
        "createdByUserId": "string",
        "updatedByUserId": "string",
        "createdBy": {},
        "updatedBy": {}
      },
      "country": "string",
      "email": "string",
      "eatciUsername": "string",
      "enabled": true,
      "emailVerified": true,
      "roles": [
        {
          "id": "string",
          "name": "string",
          "label": "string",
          "description": "string",
          "clientRole": true,
          "clientId": "string",
          "containerId": "string",
          "composite": true
        }
      ],
      "createdDate": "2022-03-10T12:15:50",
      "lastModifiedDate": "2022-03-10T12:15:50",
      "createdByUserId": "string",
      "updatedByUserId": "string",
      "createdBy": {},
      "updatedBy": {}
    }
  },
  "guarantees": [
    "string"
  ],
  "subscriber": {
    "id": "string",
    "clientNumber": "string",
    "personType": "PHYSIQUE",
    "civility": "MR",
    "lastName": "string",
    "firstNames": "string",
    "birthDate": "2022-03-10",
    "birthPlace": "string",
    "nationality": "string",
    "nationalIdNumber": "string",
    "drivingLicenseNumber": "string",
    "drivingLicenseDate": "2022-03-10",
    "companyName": "string",
    "companyId": "string",
    "brokerId": "string",
    "legalForm": "string",
    "rccmNumber": "string",
    "taxNumber": "string",
    "legalRepresentative": "string",
    "address": "string",
    "postalCode": "string",
    "landlinePhone": "string",
    "mobilePhone": "string",
    "email": "string",
    "isActive": true,
    "createdAt": "2022-03-10T12:15:50",
    "lastModifiedDate": "2022-03-10T12:15:50",
    "createdByUserId": "string",
    "updatedByUserId": "string",
    "createdBy": {
      "id": "string",
      "username": "string",
      "phoneNumber": "string",
      "name": "string",
      "firstName": "string",
      "lastName": "string",
      "status": "string",
      "broker": {
        "id": "string",
        "brokerCode": "string",
        "brokerNumber": "string",
        "legalName": "string",
        "tradeName": "string",
        "approvalNumber": "string",
        "eatciOfficeCode": "string",
        "address": "string",
        "phone": "string",
        "email": "string",
        "type": "BROKER",
        "company": {
          "id": "string",
          "companyCode": "string",
          "companyNumber": "string",
          "companyLabel": "string",
          "legalName": "string",
          "approvalNumber": "string",
          "eatciOfficeCode": "string",
          "address": "string",
          "phone": "string",
          "email": "string",
          "website": "string",
          "logoUrl": "string",
          "isActive": true,
          "createdDate": "2022-03-10T12:15:50",
          "lastModifiedDate": "2022-03-10T12:15:50",
          "createdByUserId": "string",
          "updatedByUserId": "string",
          "createdBy": {},
          "updatedBy": {}
        },
        "mainOffice": {},
        "isMainOffice": true,
        "defaultCommissionRate": 0,
        "isActive": true,
        "createdAt": "2022-03-10T12:15:50",
        "lastModifiedDate": "2022-03-10T12:15:50",
        "createdByUserId": "string",
        "updatedByUserId": "string",
        "createdBy": {},
        "updatedBy": {}
      },
      "company": {
        "id": "string",
        "companyCode": "string",
        "companyNumber": "string",
        "companyLabel": "string",
        "legalName": "string",
        "approvalNumber": "string",
        "eatciOfficeCode": "string",
        "address": "string",
        "phone": "string",
        "email": "string",
        "website": "string",
        "logoUrl": "string",
        "isActive": true,
        "createdDate": "2022-03-10T12:15:50",
        "lastModifiedDate": "2022-03-10T12:15:50",
        "createdByUserId": "string",
        "updatedByUserId": "string",
        "createdBy": {},
        "updatedBy": {}
      },
      "country": "string",
      "email": "string",
      "eatciUsername": "string",
      "enabled": true,
      "emailVerified": true,
      "roles": [
        {
          "id": "string",
          "name": "string",
          "label": "string",
          "description": "string",
          "clientRole": true,
          "clientId": "string",
          "containerId": "string",
          "composite": true
        }
      ],
      "createdDate": "2022-03-10T12:15:50",
      "lastModifiedDate": "2022-03-10T12:15:50",
      "createdByUserId": "string",
      "updatedByUserId": "string",
      "createdBy": {},
      "updatedBy": {}
    },
    "updatedBy": {
      "id": "string",
      "username": "string",
      "phoneNumber": "string",
      "name": "string",
      "firstName": "string",
      "lastName": "string",
      "status": "string",
      "broker": {
        "id": "string",
        "brokerCode": "string",
        "brokerNumber": "string",
        "legalName": "string",
        "tradeName": "string",
        "approvalNumber": "string",
        "eatciOfficeCode": "string",
        "address": "string",
        "phone": "string",
        "email": "string",
        "type": "BROKER",
        "company": {
          "id": "string",
          "companyCode": "string",
          "companyNumber": "string",
          "companyLabel": "string",
          "legalName": "string",
          "approvalNumber": "string",
          "eatciOfficeCode": "string",
          "address": "string",
          "phone": "string",
          "email": "string",
          "website": "string",
          "logoUrl": "string",
          "isActive": true,
          "createdDate": "2022-03-10T12:15:50",
          "lastModifiedDate": "2022-03-10T12:15:50",
          "createdByUserId": "string",
          "updatedByUserId": "string",
          "createdBy": {},
          "updatedBy": {}
        },
        "mainOffice": {},
        "isMainOffice": true,
        "defaultCommissionRate": 0,
        "isActive": true,
        "createdAt": "2022-03-10T12:15:50",
        "lastModifiedDate": "2022-03-10T12:15:50",
        "createdByUserId": "string",
        "updatedByUserId": "string",
        "createdBy": {},
        "updatedBy": {}
      },
      "company": {
        "id": "string",
        "companyCode": "string",
        "companyNumber": "string",
        "companyLabel": "string",
        "legalName": "string",
        "approvalNumber": "string",
        "eatciOfficeCode": "string",
        "address": "string",
        "phone": "string",
        "email": "string",
        "website": "string",
        "logoUrl": "string",
        "isActive": true,
        "createdDate": "2022-03-10T12:15:50",
        "lastModifiedDate": "2022-03-10T12:15:50",
        "createdByUserId": "string",
        "updatedByUserId": "string",
        "createdBy": {},
        "updatedBy": {}
      },
      "country": "string",
      "email": "string",
      "eatciUsername": "string",
      "enabled": true,
      "emailVerified": true,
      "roles": [
        {
          "id": "string",
          "name": "string",
          "label": "string",
          "description": "string",
          "clientRole": true,
          "clientId": "string",
          "containerId": "string",
          "composite": true
        }
      ],
      "createdDate": "2022-03-10T12:15:50",
      "lastModifiedDate": "2022-03-10T12:15:50",
      "createdByUserId": "string",
      "updatedByUserId": "string",
      "createdBy": {},
      "updatedBy": {}
    }
  },
  "referrer": {
    "id": "string",
    "clientNumber": "string",
    "personType": "PHYSIQUE",
    "civility": "MR",
    "lastName": "string",
    "firstNames": "string",
    "birthDate": "2022-03-10",
    "birthPlace": "string",
    "nationality": "string",
    "nationalIdNumber": "string",
    "drivingLicenseNumber": "string",
    "drivingLicenseDate": "2022-03-10",
    "company": {
      "id": "string",
      "companyCode": "string",
      "companyNumber": "string",
      "companyLabel": "string",
      "legalName": "string",
      "approvalNumber": "string",
      "eatciOfficeCode": "string",
      "address": "string",
      "phone": "string",
      "email": "string",
      "website": "string",
      "logoUrl": "string",
      "isActive": true,
      "createdDate": "2022-03-10T12:15:50",
      "lastModifiedDate": "2022-03-10T12:15:50",
      "createdByUserId": "string",
      "updatedByUserId": "string",
      "createdBy": {
        "id": "string",
        "username": "string",
        "phoneNumber": "string",
        "name": "string",
        "firstName": "string",
        "lastName": "string",
        "status": "string",
        "broker": {
          "id": "string",
          "brokerCode": "string",
          "brokerNumber": "string",
          "legalName": "string",
          "tradeName": "string",
          "approvalNumber": "string",
          "eatciOfficeCode": "string",
          "address": "string",
          "phone": "string",
          "email": "string",
          "type": "BROKER",
          "company": {},
          "mainOffice": {},
          "isMainOffice": true,
          "defaultCommissionRate": 0,
          "isActive": true,
          "createdAt": "2022-03-10T12:15:50",
          "lastModifiedDate": "2022-03-10T12:15:50",
          "createdByUserId": "string",
          "updatedByUserId": "string",
          "createdBy": {},
          "updatedBy": {}
        },
        "company": {},
        "country": "string",
        "email": "string",
        "eatciUsername": "string",
        "enabled": true,
        "emailVerified": true,
        "roles": [
          {
            "id": "string",
            "name": "string",
            "label": "string",
            "description": "string",
            "clientRole": true,
            "clientId": "string",
            "containerId": "string",
            "composite": true
          }
        ],
        "createdDate": "2022-03-10T12:15:50",
        "lastModifiedDate": "2022-03-10T12:15:50",
        "createdByUserId": "string",
        "updatedByUserId": "string",
        "createdBy": {},
        "updatedBy": {}
      },
      "updatedBy": {
        "id": "string",
        "username": "string",
        "phoneNumber": "string",
        "name": "string",
        "firstName": "string",
        "lastName": "string",
        "status": "string",
        "broker": {
          "id": "string",
          "brokerCode": "string",
          "brokerNumber": "string",
          "legalName": "string",
          "tradeName": "string",
          "approvalNumber": "string",
          "eatciOfficeCode": "string",
          "address": "string",
          "phone": "string",
          "email": "string",
          "type": "BROKER",
          "company": {},
          "mainOffice": {},
          "isMainOffice": true,
          "defaultCommissionRate": 0,
          "isActive": true,
          "createdAt": "2022-03-10T12:15:50",
          "lastModifiedDate": "2022-03-10T12:15:50",
          "createdByUserId": "string",
          "updatedByUserId": "string",
          "createdBy": {},
          "updatedBy": {}
        },
        "company": {},
        "country": "string",
        "email": "string",
        "eatciUsername": "string",
        "enabled": true,
        "emailVerified": true,
        "roles": [
          {
            "id": "string",
            "name": "string",
            "label": "string",
            "description": "string",
            "clientRole": true,
            "clientId": "string",
            "containerId": "string",
            "composite": true
          }
        ],
        "createdDate": "2022-03-10T12:15:50",
        "lastModifiedDate": "2022-03-10T12:15:50",
        "createdByUserId": "string",
        "updatedByUserId": "string",
        "createdBy": {},
        "updatedBy": {}
      }
    },
    "broker": {
      "id": "string",
      "brokerCode": "string",
      "brokerNumber": "string",
      "legalName": "string",
      "tradeName": "string",
      "approvalNumber": "string",
      "eatciOfficeCode": "string",
      "address": "string",
      "phone": "string",
      "email": "string",
      "type": "BROKER",
      "company": {
        "id": "string",
        "companyCode": "string",
        "companyNumber": "string",
        "companyLabel": "string",
        "legalName": "string",
        "approvalNumber": "string",
        "eatciOfficeCode": "string",
        "address": "string",
        "phone": "string",
        "email": "string",
        "website": "string",
        "logoUrl": "string",
        "isActive": true,
        "createdDate": "2022-03-10T12:15:50",
        "lastModifiedDate": "2022-03-10T12:15:50",
        "createdByUserId": "string",
        "updatedByUserId": "string",
        "createdBy": {
          "id": "string",
          "username": "string",
          "phoneNumber": "string",
          "name": "string",
          "firstName": "string",
          "lastName": "string",
          "status": "string",
          "broker": {},
          "company": {},
          "country": "string",
          "email": "string",
          "eatciUsername": "string",
          "enabled": true,
          "emailVerified": true,
          "roles": [
            {
              "id": "string",
              "name": "string",
              "label": "string",
              "description": "string",
              "clientRole": true,
              "clientId": "string",
              "containerId": "string",
              "composite": true
            }
          ],
          "createdDate": "2022-03-10T12:15:50",
          "lastModifiedDate": "2022-03-10T12:15:50",
          "createdByUserId": "string",
          "updatedByUserId": "string",
          "createdBy": {},
          "updatedBy": {}
        },
        "updatedBy": {
          "id": "string",
          "username": "string",
          "phoneNumber": "string",
          "name": "string",
          "firstName": "string",
          "lastName": "string",
          "status": "string",
          "broker": {},
          "company": {},
          "country": "string",
          "email": "string",
          "eatciUsername": "string",
          "enabled": true,
          "emailVerified": true,
          "roles": [
            {
              "id": "string",
              "name": "string",
              "label": "string",
              "description": "string",
              "clientRole": true,
              "clientId": "string",
              "containerId": "string",
              "composite": true
            }
          ],
          "createdDate": "2022-03-10T12:15:50",
          "lastModifiedDate": "2022-03-10T12:15:50",
          "createdByUserId": "string",
          "updatedByUserId": "string",
          "createdBy": {},
          "updatedBy": {}
        }
      },
      "mainOffice": {},
      "isMainOffice": true,
      "defaultCommissionRate": 0,
      "isActive": true,
      "createdAt": "2022-03-10T12:15:50",
      "lastModifiedDate": "2022-03-10T12:15:50",
      "createdByUserId": "string",
      "updatedByUserId": "string",
      "createdBy": {
        "id": "string",
        "username": "string",
        "phoneNumber": "string",
        "name": "string",
        "firstName": "string",
        "lastName": "string",
        "status": "string",
        "broker": {},
        "company": {
          "id": "string",
          "companyCode": "string",
          "companyNumber": "string",
          "companyLabel": "string",
          "legalName": "string",
          "approvalNumber": "string",
          "eatciOfficeCode": "string",
          "address": "string",
          "phone": "string",
          "email": "string",
          "website": "string",
          "logoUrl": "string",
          "isActive": true,
          "createdDate": "2022-03-10T12:15:50",
          "lastModifiedDate": "2022-03-10T12:15:50",
          "createdByUserId": "string",
          "updatedByUserId": "string",
          "createdBy": {},
          "updatedBy": {}
        },
        "country": "string",
        "email": "string",
        "eatciUsername": "string",
        "enabled": true,
        "emailVerified": true,
        "roles": [
          {
            "id": "string",
            "name": "string",
            "label": "string",
            "description": "string",
            "clientRole": true,
            "clientId": "string",
            "containerId": "string",
            "composite": true
          }
        ],
        "createdDate": "2022-03-10T12:15:50",
        "lastModifiedDate": "2022-03-10T12:15:50",
        "createdByUserId": "string",
        "updatedByUserId": "string",
        "createdBy": {},
        "updatedBy": {}
      },
      "updatedBy": {
        "id": "string",
        "username": "string",
        "phoneNumber": "string",
        "name": "string",
        "firstName": "string",
        "lastName": "string",
        "status": "string",
        "broker": {},
        "company": {
          "id": "string",
          "companyCode": "string",
          "companyNumber": "string",
          "companyLabel": "string",
          "legalName": "string",
          "approvalNumber": "string",
          "eatciOfficeCode": "string",
          "address": "string",
          "phone": "string",
          "email": "string",
          "website": "string",
          "logoUrl": "string",
          "isActive": true,
          "createdDate": "2022-03-10T12:15:50",
          "lastModifiedDate": "2022-03-10T12:15:50",
          "createdByUserId": "string",
          "updatedByUserId": "string",
          "createdBy": {},
          "updatedBy": {}
        },
        "country": "string",
        "email": "string",
        "eatciUsername": "string",
        "enabled": true,
        "emailVerified": true,
        "roles": [
          {
            "id": "string",
            "name": "string",
            "label": "string",
            "description": "string",
            "clientRole": true,
            "clientId": "string",
            "containerId": "string",
            "composite": true
          }
        ],
        "createdDate": "2022-03-10T12:15:50",
        "lastModifiedDate": "2022-03-10T12:15:50",
        "createdByUserId": "string",
        "updatedByUserId": "string",
        "createdBy": {},
        "updatedBy": {}
      }
    },
    "legalForm": "string",
    "rccmNumber": "string",
    "taxNumber": "string",
    "legalRepresentative": "string",
    "address": "string",
    "postalCode": "string",
    "landlinePhone": "string",
    "mobilePhone": "string",
    "email": "string",
    "isActive": true,
    "createdAt": "2022-03-10T12:15:50",
    "lastModifiedDate": "2022-03-10T12:15:50",
    "createdByUserId": "string",
    "updatedByUserId": "string",
    "createdBy": {
      "id": "string",
      "username": "string",
      "phoneNumber": "string",
      "name": "string",
      "firstName": "string",
      "lastName": "string",
      "status": "string",
      "broker": {
        "id": "string",
        "brokerCode": "string",
        "brokerNumber": "string",
        "legalName": "string",
        "tradeName": "string",
        "approvalNumber": "string",
        "eatciOfficeCode": "string",
        "address": "string",
        "phone": "string",
        "email": "string",
        "type": "BROKER",
        "company": {
          "id": "string",
          "companyCode": "string",
          "companyNumber": "string",
          "companyLabel": "string",
          "legalName": "string",
          "approvalNumber": "string",
          "eatciOfficeCode": "string",
          "address": "string",
          "phone": "string",
          "email": "string",
          "website": "string",
          "logoUrl": "string",
          "isActive": true,
          "createdDate": "2022-03-10T12:15:50",
          "lastModifiedDate": "2022-03-10T12:15:50",
          "createdByUserId": "string",
          "updatedByUserId": "string",
          "createdBy": {},
          "updatedBy": {}
        },
        "mainOffice": {},
        "isMainOffice": true,
        "defaultCommissionRate": 0,
        "isActive": true,
        "createdAt": "2022-03-10T12:15:50",
        "lastModifiedDate": "2022-03-10T12:15:50",
        "createdByUserId": "string",
        "updatedByUserId": "string",
        "createdBy": {},
        "updatedBy": {}
      },
      "company": {
        "id": "string",
        "companyCode": "string",
        "companyNumber": "string",
        "companyLabel": "string",
        "legalName": "string",
        "approvalNumber": "string",
        "eatciOfficeCode": "string",
        "address": "string",
        "phone": "string",
        "email": "string",
        "website": "string",
        "logoUrl": "string",
        "isActive": true,
        "createdDate": "2022-03-10T12:15:50",
        "lastModifiedDate": "2022-03-10T12:15:50",
        "createdByUserId": "string",
        "updatedByUserId": "string",
        "createdBy": {},
        "updatedBy": {}
      },
      "country": "string",
      "email": "string",
      "eatciUsername": "string",
      "enabled": true,
      "emailVerified": true,
      "roles": [
        {
          "id": "string",
          "name": "string",
          "label": "string",
          "description": "string",
          "clientRole": true,
          "clientId": "string",
          "containerId": "string",
          "composite": true
        }
      ],
      "createdDate": "2022-03-10T12:15:50",
      "lastModifiedDate": "2022-03-10T12:15:50",
      "createdByUserId": "string",
      "updatedByUserId": "string",
      "createdBy": {},
      "updatedBy": {}
    },
    "updatedBy": {
      "id": "string",
      "username": "string",
      "phoneNumber": "string",
      "name": "string",
      "firstName": "string",
      "lastName": "string",
      "status": "string",
      "broker": {
        "id": "string",
        "brokerCode": "string",
        "brokerNumber": "string",
        "legalName": "string",
        "tradeName": "string",
        "approvalNumber": "string",
        "eatciOfficeCode": "string",
        "address": "string",
        "phone": "string",
        "email": "string",
        "type": "BROKER",
        "company": {
          "id": "string",
          "companyCode": "string",
          "companyNumber": "string",
          "companyLabel": "string",
          "legalName": "string",
          "approvalNumber": "string",
          "eatciOfficeCode": "string",
          "address": "string",
          "phone": "string",
          "email": "string",
          "website": "string",
          "logoUrl": "string",
          "isActive": true,
          "createdDate": "2022-03-10T12:15:50",
          "lastModifiedDate": "2022-03-10T12:15:50",
          "createdByUserId": "string",
          "updatedByUserId": "string",
          "createdBy": {},
          "updatedBy": {}
        },
        "mainOffice": {},
        "isMainOffice": true,
        "defaultCommissionRate": 0,
        "isActive": true,
        "createdAt": "2022-03-10T12:15:50",
        "lastModifiedDate": "2022-03-10T12:15:50",
        "createdByUserId": "string",
        "updatedByUserId": "string",
        "createdBy": {},
        "updatedBy": {}
      },
      "company": {
        "id": "string",
        "companyCode": "string",
        "companyNumber": "string",
        "companyLabel": "string",
        "legalName": "string",
        "approvalNumber": "string",
        "eatciOfficeCode": "string",
        "address": "string",
        "phone": "string",
        "email": "string",
        "website": "string",
        "logoUrl": "string",
        "isActive": true,
        "createdDate": "2022-03-10T12:15:50",
        "lastModifiedDate": "2022-03-10T12:15:50",
        "createdByUserId": "string",
        "updatedByUserId": "string",
        "createdBy": {},
        "updatedBy": {}
      },
      "country": "string",
      "email": "string",
      "eatciUsername": "string",
      "enabled": true,
      "emailVerified": true,
      "roles": [
        {
          "id": "string",
          "name": "string",
          "label": "string",
          "description": "string",
          "clientRole": true,
          "clientId": "string",
          "containerId": "string",
          "composite": true
        }
      ],
      "createdDate": "2022-03-10T12:15:50",
      "lastModifiedDate": "2022-03-10T12:15:50",
      "createdByUserId": "string",
      "updatedByUserId": "string",
      "createdBy": {},
      "updatedBy": {}
    }
  },
  "duration": {
    "id": "string",
    "durationCode": "string",
    "durationLabel": "string",
    "numberOfMonths": 0,
    "fractionatedRate": 0,
    "isTemporary": true,
    "isActive": true,
    "displayOrder": 0,
    "createdAt": "2022-03-10T12:15:50",
    "lastModifiedDate": "2022-03-10T12:15:50",
    "createdByUserId": "string",
    "updatedByUserId": "string",
    "createdBy": {
      "id": "string",
      "username": "string",
      "phoneNumber": "string",
      "name": "string",
      "firstName": "string",
      "lastName": "string",
      "status": "string",
      "broker": {
        "id": "string",
        "brokerCode": "string",
        "brokerNumber": "string",
        "legalName": "string",
        "tradeName": "string",
        "approvalNumber": "string",
        "eatciOfficeCode": "string",
        "address": "string",
        "phone": "string",
        "email": "string",
        "type": "BROKER",
        "company": {
          "id": "string",
          "companyCode": "string",
          "companyNumber": "string",
          "companyLabel": "string",
          "legalName": "string",
          "approvalNumber": "string",
          "eatciOfficeCode": "string",
          "address": "string",
          "phone": "string",
          "email": "string",
          "website": "string",
          "logoUrl": "string",
          "isActive": true,
          "createdDate": "2022-03-10T12:15:50",
          "lastModifiedDate": "2022-03-10T12:15:50",
          "createdByUserId": "string",
          "updatedByUserId": "string",
          "createdBy": {},
          "updatedBy": {}
        },
        "mainOffice": {},
        "isMainOffice": true,
        "defaultCommissionRate": 0,
        "isActive": true,
        "createdAt": "2022-03-10T12:15:50",
        "lastModifiedDate": "2022-03-10T12:15:50",
        "createdByUserId": "string",
        "updatedByUserId": "string",
        "createdBy": {},
        "updatedBy": {}
      },
      "company": {
        "id": "string",
        "companyCode": "string",
        "companyNumber": "string",
        "companyLabel": "string",
        "legalName": "string",
        "approvalNumber": "string",
        "eatciOfficeCode": "string",
        "address": "string",
        "phone": "string",
        "email": "string",
        "website": "string",
        "logoUrl": "string",
        "isActive": true,
        "createdDate": "2022-03-10T12:15:50",
        "lastModifiedDate": "2022-03-10T12:15:50",
        "createdByUserId": "string",
        "updatedByUserId": "string",
        "createdBy": {},
        "updatedBy": {}
      },
      "country": "string",
      "email": "string",
      "eatciUsername": "string",
      "enabled": true,
      "emailVerified": true,
      "roles": [
        {
          "id": "string",
          "name": "string",
          "label": "string",
          "description": "string",
          "clientRole": true,
          "clientId": "string",
          "containerId": "string",
          "composite": true
        }
      ],
      "createdDate": "2022-03-10T12:15:50",
      "lastModifiedDate": "2022-03-10T12:15:50",
      "createdByUserId": "string",
      "updatedByUserId": "string",
      "createdBy": {},
      "updatedBy": {}
    },
    "updatedBy": {
      "id": "string",
      "username": "string",
      "phoneNumber": "string",
      "name": "string",
      "firstName": "string",
      "lastName": "string",
      "status": "string",
      "broker": {
        "id": "string",
        "brokerCode": "string",
        "brokerNumber": "string",
        "legalName": "string",
        "tradeName": "string",
        "approvalNumber": "string",
        "eatciOfficeCode": "string",
        "address": "string",
        "phone": "string",
        "email": "string",
        "type": "BROKER",
        "company": {
          "id": "string",
          "companyCode": "string",
          "companyNumber": "string",
          "companyLabel": "string",
          "legalName": "string",
          "approvalNumber": "string",
          "eatciOfficeCode": "string",
          "address": "string",
          "phone": "string",
          "email": "string",
          "website": "string",
          "logoUrl": "string",
          "isActive": true,
          "createdDate": "2022-03-10T12:15:50",
          "lastModifiedDate": "2022-03-10T12:15:50",
          "createdByUserId": "string",
          "updatedByUserId": "string",
          "createdBy": {},
          "updatedBy": {}
        },
        "mainOffice": {},
        "isMainOffice": true,
        "defaultCommissionRate": 0,
        "isActive": true,
        "createdAt": "2022-03-10T12:15:50",
        "lastModifiedDate": "2022-03-10T12:15:50",
        "createdByUserId": "string",
        "updatedByUserId": "string",
        "createdBy": {},
        "updatedBy": {}
      },
      "company": {
        "id": "string",
        "companyCode": "string",
        "companyNumber": "string",
        "companyLabel": "string",
        "legalName": "string",
        "approvalNumber": "string",
        "eatciOfficeCode": "string",
        "address": "string",
        "phone": "string",
        "email": "string",
        "website": "string",
        "logoUrl": "string",
        "isActive": true,
        "createdDate": "2022-03-10T12:15:50",
        "lastModifiedDate": "2022-03-10T12:15:50",
        "createdByUserId": "string",
        "updatedByUserId": "string",
        "createdBy": {},
        "updatedBy": {}
      },
      "country": "string",
      "email": "string",
      "eatciUsername": "string",
      "enabled": true,
      "emailVerified": true,
      "roles": [
        {
          "id": "string",
          "name": "string",
          "label": "string",
          "description": "string",
          "clientRole": true,
          "clientId": "string",
          "containerId": "string",
          "composite": true
        }
      ],
      "createdDate": "2022-03-10T12:15:50",
      "lastModifiedDate": "2022-03-10T12:15:50",
      "createdByUserId": "string",
      "updatedByUserId": "string",
      "createdBy": {},
      "updatedBy": {}
    },
    "fractionatedRateAsDecimal": 0
  },
  "endorsement": "string",
  "createdDate": "2022-03-10T12:15:50",
  "subscriptionDate": "2022-03-10T12:15:50",
  "effectiveDate": "2022-03-10T12:15:50",
  "expiryDate": "2022-03-10T12:15:50",
  "paymentPlan": "FULL",
  "coveredUntil": "2022-03-10T12:15:50",
  "status": "DRAFT",
  "statusDate": "2022-03-10T12:15:50",
  "statusReason": "string",
  "lastModifiedDate": "2022-03-10T12:15:50",
  "validatedAt": "2022-03-10T12:15:50",
  "createdByUserId": "string",
  "updatedByUserId": "string",
  "validatedByUserId": "string",
  "createdBy": {
    "id": "string",
    "username": "string",
    "phoneNumber": "string",
    "name": "string",
    "firstName": "string",
    "lastName": "string",
    "status": "string",
    "broker": {
      "id": "string",
      "brokerCode": "string",
      "brokerNumber": "string",
      "legalName": "string",
      "tradeName": "string",
      "approvalNumber": "string",
      "eatciOfficeCode": "string",
      "address": "string",
      "phone": "string",
      "email": "string",
      "type": "BROKER",
      "company": {
        "id": "string",
        "companyCode": "string",
        "companyNumber": "string",
        "companyLabel": "string",
        "legalName": "string",
        "approvalNumber": "string",
        "eatciOfficeCode": "string",
        "address": "string",
        "phone": "string",
        "email": "string",
        "website": "string",
        "logoUrl": "string",
        "isActive": true,
        "createdDate": "2022-03-10T12:15:50",
        "lastModifiedDate": "2022-03-10T12:15:50",
        "createdByUserId": "string",
        "updatedByUserId": "string",
        "createdBy": {},
        "updatedBy": {}
      },
      "mainOffice": {},
      "isMainOffice": true,
      "defaultCommissionRate": 0,
      "isActive": true,
      "createdAt": "2022-03-10T12:15:50",
      "lastModifiedDate": "2022-03-10T12:15:50",
      "createdByUserId": "string",
      "updatedByUserId": "string",
      "createdBy": {},
      "updatedBy": {}
    },
    "company": {
      "id": "string",
      "companyCode": "string",
      "companyNumber": "string",
      "companyLabel": "string",
      "legalName": "string",
      "approvalNumber": "string",
      "eatciOfficeCode": "string",
      "address": "string",
      "phone": "string",
      "email": "string",
      "website": "string",
      "logoUrl": "string",
      "isActive": true,
      "createdDate": "2022-03-10T12:15:50",
      "lastModifiedDate": "2022-03-10T12:15:50",
      "createdByUserId": "string",
      "updatedByUserId": "string",
      "createdBy": {},
      "updatedBy": {}
    },
    "country": "string",
    "email": "string",
    "eatciUsername": "string",
    "enabled": true,
    "emailVerified": true,
    "roles": [
      {
        "id": "string",
        "name": "string",
        "label": "string",
        "description": "string",
        "clientRole": true,
        "clientId": "string",
        "containerId": "string",
        "composite": true
      }
    ],
    "createdDate": "2022-03-10T12:15:50",
    "lastModifiedDate": "2022-03-10T12:15:50",
    "createdByUserId": "string",
    "updatedByUserId": "string",
    "createdBy": {},
    "updatedBy": {}
  },
  "updatedBy": {
    "id": "string",
    "username": "string",
    "phoneNumber": "string",
    "name": "string",
    "firstName": "string",
    "lastName": "string",
    "status": "string",
    "broker": {
      "id": "string",
      "brokerCode": "string",
      "brokerNumber": "string",
      "legalName": "string",
      "tradeName": "string",
      "approvalNumber": "string",
      "eatciOfficeCode": "string",
      "address": "string",
      "phone": "string",
      "email": "string",
      "type": "BROKER",
      "company": {
        "id": "string",
        "companyCode": "string",
        "companyNumber": "string",
        "companyLabel": "string",
        "legalName": "string",
        "approvalNumber": "string",
        "eatciOfficeCode": "string",
        "address": "string",
        "phone": "string",
        "email": "string",
        "website": "string",
        "logoUrl": "string",
        "isActive": true,
        "createdDate": "2022-03-10T12:15:50",
        "lastModifiedDate": "2022-03-10T12:15:50",
        "createdByUserId": "string",
        "updatedByUserId": "string",
        "createdBy": {},
        "updatedBy": {}
      },
      "mainOffice": {},
      "isMainOffice": true,
      "defaultCommissionRate": 0,
      "isActive": true,
      "createdAt": "2022-03-10T12:15:50",
      "lastModifiedDate": "2022-03-10T12:15:50",
      "createdByUserId": "string",
      "updatedByUserId": "string",
      "createdBy": {},
      "updatedBy": {}
    },
    "company": {
      "id": "string",
      "companyCode": "string",
      "companyNumber": "string",
      "companyLabel": "string",
      "legalName": "string",
      "approvalNumber": "string",
      "eatciOfficeCode": "string",
      "address": "string",
      "phone": "string",
      "email": "string",
      "website": "string",
      "logoUrl": "string",
      "isActive": true,
      "createdDate": "2022-03-10T12:15:50",
      "lastModifiedDate": "2022-03-10T12:15:50",
      "createdByUserId": "string",
      "updatedByUserId": "string",
      "createdBy": {},
      "updatedBy": {}
    },
    "country": "string",
    "email": "string",
    "eatciUsername": "string",
    "enabled": true,
    "emailVerified": true,
    "roles": [
      {
        "id": "string",
        "name": "string",
        "label": "string",
        "description": "string",
        "clientRole": true,
        "clientId": "string",
        "containerId": "string",
        "composite": true
      }
    ],
    "createdDate": "2022-03-10T12:15:50",
    "lastModifiedDate": "2022-03-10T12:15:50",
    "createdByUserId": "string",
    "updatedByUserId": "string",
    "createdBy": {},
    "updatedBy": {}
  },
  "validatedBy": {
    "id": "string",
    "username": "string",
    "phoneNumber": "string",
    "name": "string",
    "firstName": "string",
    "lastName": "string",
    "status": "string",
    "broker": {
      "id": "string",
      "brokerCode": "string",
      "brokerNumber": "string",
      "legalName": "string",
      "tradeName": "string",
      "approvalNumber": "string",
      "eatciOfficeCode": "string",
      "address": "string",
      "phone": "string",
      "email": "string",
      "type": "BROKER",
      "company": {
        "id": "string",
        "companyCode": "string",
        "companyNumber": "string",
        "companyLabel": "string",
        "legalName": "string",
        "approvalNumber": "string",
        "eatciOfficeCode": "string",
        "address": "string",
        "phone": "string",
        "email": "string",
        "website": "string",
        "logoUrl": "string",
        "isActive": true,
        "createdDate": "2022-03-10T12:15:50",
        "lastModifiedDate": "2022-03-10T12:15:50",
        "createdByUserId": "string",
        "updatedByUserId": "string",
        "createdBy": {},
        "updatedBy": {}
      },
      "mainOffice": {},
      "isMainOffice": true,
      "defaultCommissionRate": 0,
      "isActive": true,
      "createdAt": "2022-03-10T12:15:50",
      "lastModifiedDate": "2022-03-10T12:15:50",
      "createdByUserId": "string",
      "updatedByUserId": "string",
      "createdBy": {},
      "updatedBy": {}
    },
    "company": {
      "id": "string",
      "companyCode": "string",
      "companyNumber": "string",
      "companyLabel": "string",
      "legalName": "string",
      "approvalNumber": "string",
      "eatciOfficeCode": "string",
      "address": "string",
      "phone": "string",
      "email": "string",
      "website": "string",
      "logoUrl": "string",
      "isActive": true,
      "createdDate": "2022-03-10T12:15:50",
      "lastModifiedDate": "2022-03-10T12:15:50",
      "createdByUserId": "string",
      "updatedByUserId": "string",
      "createdBy": {},
      "updatedBy": {}
    },
    "country": "string",
    "email": "string",
    "eatciUsername": "string",
    "enabled": true,
    "emailVerified": true,
    "roles": [
      {
        "id": "string",
        "name": "string",
        "label": "string",
        "description": "string",
        "clientRole": true,
        "clientId": "string",
        "containerId": "string",
        "composite": true
      }
    ],
    "createdDate": "2022-03-10T12:15:50",
    "lastModifiedDate": "2022-03-10T12:15:50",
    "createdByUserId": "string",
    "updatedByUserId": "string",
    "createdBy": {},
    "updatedBy": {}
  },
  "accessoryFees": 0,
  "exceptionalFees": 0,
  "commercialDiscountPct": 0,
  "primeRc": 0,
  "primeDr": 0,
  "primeNette": 0,
  "accessoire": 0,
  "taxe": 0,
  "cedeao": 0,
  "fga": 0,
  "primeTtc": 0
}
{
  "status": 404,
  "title": "Élément introuvable",
  "detail": "Contract not found",
  "exception": "CONTRACT_NOT_FOUND",
  "instance": "/api/v1/provider/contracts/abc",
  "details": {
    "property1": "string",
    "property2": "string"
  }
}
{
  "status": 404,
  "title": "Élément introuvable",
  "detail": "Contract not found",
  "exception": "CONTRACT_NOT_FOUND",
  "instance": "/api/v1/provider/contracts/abc",
  "details": {
    "property1": "string",
    "property2": "string"
  }
}
{
  "status": 404,
  "title": "Élément introuvable",
  "detail": "Contract not found",
  "exception": "CONTRACT_NOT_FOUND",
  "instance": "/api/v1/provider/contracts/abc",
  "details": {
    "property1": "string",
    "property2": "string"
  }
}